## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-datalake-analytics

Name:           python-%{srcname}
Version:        0.2.1
Release:        %autorelease
Summary:        Microsoft Azure Data Lake Analytics Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%global _description %{expand:
Microsoft Azure Data Lake Analytics Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove the customized wheel builder included by Microsoft that adds
# azure-mgmt-nspkg to the requirements.
sed -i '/^azure-namespace-package/d' setup.cfg
rm -f azure_bdist_wheel.py

# Fix line endings.
sed -i 's/\r$//' README.rst

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/datalake/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/datalake/analytics
%{python3_sitelib}/azure_mgmt_datalake_analytics-%{version}.dist-info


%changelog
* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:0.2.1-11
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:0.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:0.2.1-9
- Move obsoletes into subpackage

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1:0.2.1-8
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.2.1-7
- Remove patch and use sed

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.2.1-6
- Update wheel builder removal patch

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.2.1-5
- Update nspkg removal patch

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.2.1-4
- Remove the early exit

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.2.1-3
- Update docs files list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.2.1-2
- Add epoch number for 0.2.1 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.2.1-1
- Downgrade to 0.2.1

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> 0.6.0-4
- Remove unneccessary __init__.py files to avoid file conflicts

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> 0.6.0-3
- Bump spec revision

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> 0.6.0-2
- Remove custom wheel builder

* Tue Jul 06 2021 Major Hayden <major@mhtx.net> 0.6.0-1
- Initial import (#1971797)
